Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class ObjectDigestInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.ObjectDigestInfo

All Implemented Interfaces:
  DEREncodable

public class ObjectDigestInfo
extends ASN1Encodable

Constructor Summary
`ObjectDigestInfo(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`DEREnumerated` | `getDigestedObjectType()`
`static ObjectDigestInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ObjectDigestInfo` | `getInstance(java.lang.Object obj)`
`DERBitString` | `getObjectDigest()`
`DERObjectIdentifier` | `getOtherObjectTypeID()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectDigestInfo

    public ObjectDigestInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static ObjectDigestInfo getInstance(java.lang.Object obj)

### getInstance

    public static ObjectDigestInfo getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

### getDigestedObjectType

    public DEREnumerated getDigestedObjectType()

### getOtherObjectTypeID

    public DERObjectIdentifier getOtherObjectTypeID()

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getObjectDigest

    public DERBitString getObjectDigest()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

         ObjectDigestInfo ::= SEQUENCE {
              digestedObjectType  ENUMERATED {
                      publicKey            (0),
                      publicKeyCert        (1),
                      otherObjectTypes     (2) },
                              -- otherObjectTypes MUST NOT
                              -- be used in this profile
              otherObjectTypeID   OBJECT IDENTIFIER OPTIONAL,
              digestAlgorithm     AlgorithmIdentifier,
              objectDigest        BIT STRING
         }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD